Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.font
Class PDType1AfmPfbFont

    java.lang.Object
      org.pdfbox.pdmodel.font.PDFont
          org.pdfbox.pdmodel.font.PDSimpleFont
              org.pdfbox.pdmodel.font.PDType1Font
                  org.pdfbox.pdmodel.font.PDType1AfmPfbFont

All Implemented Interfaces:
  COSObjectable

public class PDType1AfmPfbFont
extends PDType1Font

This is implementation of the Type1 Font with a afm and a pfb file.

Version:
  $Revision: 1.5 $
Author:
  Michael Niedermair

Field Summary

Fields inherited from class org.pdfbox.pdmodel.font.PDType1Font
`COURIER, COURIER_BOLD, COURIER_BOLD_OBLIQUE, COURIER_OBLIQUE, HELVETICA, HELVETICA_BOLD, HELVETICA_BOLD_OBLIQUE, HELVETICA_OBLIQUE, SYMBOL, TIMES_BOLD, TIMES_BOLD_ITALIC, TIMES_ITALIC, TIMES_ROMAN, ZAPF_DINGBATS`

Fields inherited from class org.pdfbox.pdmodel.font.PDFont
`font`

Constructor Summary
`PDType1AfmPfbFont(PDDocument doc, InputStream afm, InputStream pfb)` Create a new object.
`PDType1AfmPfbFont(PDDocument doc, String afmname)` Create a new object.

Method Summary
`PDFontDescriptor` | `getFontDescriptor()` This will get the font descriptor for this font.

Methods inherited from class org.pdfbox.pdmodel.font.PDType1Font
`drawString, getStandard14Names, getStandardFont`

Methods inherited from class org.pdfbox.pdmodel.font.PDSimpleFont
`getAverageFontWidth, getFontBoundingBox, getFontHeight, getFontWidth, getToUnicode, setFontDescriptor, setToUnicode`

Methods inherited from class org.pdfbox.pdmodel.font.PDFont
`clearResources, encode, equals, getAFM, getAverageFontWidthFromAFMFile, getBaseFont, getCodeFromArray, getCOSObject, getEncoding, getFirstChar, getFontMatrix, getFontWidthFromAFMFile, getLastChar, getStringWidth, getSubType, getType, getWidths, hashCode, setBaseFont, setEncoding, setFirstChar, setLastChar, setWidths`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDType1AfmPfbFont

    public PDType1AfmPfbFont(PDDocument doc,
                             String afmname)
                      throws IOException

  Create a new object.

Parameters:
  `doc` - The PDF document that will hold the embedded font.
  `afmname` - The font filename.
Throws:
  `IOException` - If there is an error loading the data.

### PDType1AfmPfbFont

    public PDType1AfmPfbFont(PDDocument doc,
                             InputStream afm,
                             InputStream pfb)
                      throws IOException

  Create a new object.

Parameters:
  `doc` - The PDF document that will hold the embedded font.
  `afm` - The afm input.
  `pfb` - The pfb input.
Throws:
  `IOException` - If there is an error loading the data.

Method Detail

### getFontDescriptor

    public PDFontDescriptor getFontDescriptor()
                                       throws IOException

  This will get the font descriptor for this font.

  Overrides:
    `getFontDescriptor` in class `PDSimpleFont`
  Returns:
    The font descriptor for this font.
  Throws:
    `IOException` - If there is an error parsing an AFM file, or unable to create a PDFontDescriptor object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD